> ## Documentation Index
> Fetch the complete documentation index at: https://developers.quotivity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign Product to Price Books

> Assigns a single product to one or more price books at once (updates HubSpot hapily_price_books in one call).



## OpenAPI

````yaml swagger.json post /products/{productId}/pricebooks
openapi: 3.0.0
info:
  title: Quotivity API
  description: Developer APIs for the Quotivity CPQ platform.
  version: 1.0.0
servers:
  - url: https://api.secure.quotivity.com/v1
    description: Production API Server
security: []
paths:
  /products/{productId}/pricebooks:
    post:
      summary: Assign Product to Price Books
      description: >-
        Assigns a single product to one or more price books at once (updates
        HubSpot hapily_price_books in one call).
      parameters:
        - name: productId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssignProductToPriceBooksRequest'
      responses:
        '200':
          description: Product assigned successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssignProductToPriceBooksResponse'
        '400':
          description: Invalid request
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    AssignProductToPriceBooksRequest:
      type: object
      properties:
        priceBookIds:
          type: array
          items:
            type: string
      required:
        - priceBookIds
    AssignProductToPriceBooksResponse:
      type: object
      properties:
        productId:
          type: string
        priceBookIds:
          type: array
          items:
            type: string
      required:
        - productId
        - priceBookIds
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````